[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomLabeledEdit.Create

Constructor for the class instance.

## Declaration

Source position: extctrls.pp line 1043

`public constructor TCustomLabeledEdit.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Component which is the Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. Create sets the default values for properties, including:

LabelPosition
  lpAbove to align the bound label above the edit control.
LabelSpacing
  3 for the number of pixels between the bound label and the edit control.

Create calls CreateInternalLabel to allocate and configure the TBoundLabel instance used in the EditLabel property.

## See also

TCustomLabeledEdit.LabelPosition |  | Edge on the edge control where the bound label is aligned.
TCustomLabeledEdit.LabelSpacing |  | Number of pixels between the control and its bound label.
TCustomLabeledEdit.EditLabel |  | EditLabel - the label attached to the edit box.
TCustomLabeledEdit.CreateInternalLabel |  | CreateInternalLabel - method for internally creating label.
TCustomEdit.Create |  | Constructor for the class instance.
TBoundLabel.Create |  | Constructor for the class instance.